xof 0303txt 0032

// DirectX - from CharacterFX

template Header
{
    <3D82AB43-62DA-11CF-AB39-0020AF71E433>
    WORD major;
    WORD minor;
    DWORD flags;
}

template Vector
{
    <3D82AB5E-62DA-11CF-AB39-0020AF71E433>
    FLOAT x;
    FLOAT y;
    FLOAT z;
}

template Coords2d
{
    <F6F23F44-7686-11CF-8F52-0040333594A3>
    FLOAT u;
    FLOAT v;
}

template Matrix4x4
{
    <F6F23F45-7686-11CF-8F52-0040333594A3>
    array FLOAT matrix[16];
}

template ColorRGBA
{
    <35FF44E0-6C7C-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
    FLOAT alpha;
}

template ColorRGB
{
    <D3E16E81-7835-11CF-8F52-0040333594A3>
    FLOAT red;
    FLOAT green;
    FLOAT blue;
}

template IndexedColor
{
    <1630B820-7842-11CF-8F52-0040333594A3>
    DWORD index;
    ColorRGBA indexColor;
}

template Boolean
{
    <4885AE61-78E8-11CF-8F52-0040333594A3>
    DWORD trueFalse;
}

template Boolean2d
{
    <4885AE63-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template MaterialWrap
{
    <4885AE60-78E8-11CF-8F52-0040333594A3>
    Boolean u;
    Boolean v;
}

template Material
{
    <3D82AB4D-62DA-11CF-AB39-0020AF71E433>
    ColorRGBA faceColor;
    FLOAT power;
    ColorRGB specularColor;
    ColorRGB emissiveColor;
    [...]
}

template TextureFilename
{
    <A42790E1-7810-11CF-8F52-0040333594A3>
    CSTRING filename;
}

template MeshFace
{
    <3D82AB5F-62DA-11CF-AB39-0020AF71E433>
    DWORD nFaceVertexIndices;
    array DWORD FaceVertexIndices[nFaceVertexIndices];
}

template Mesh
{
    <3D82AB44-62DA-11CF-AB39-0020AF71E433>
    DWORD nVertices;
    array Vector vertices[nVertices];
    DWORD nFaces;
    array MeshFace naces[nFaces];
    [...]
}

template MeshNormals
{
    <F6F23F43-7686-11CF-8F52-0040333594A3>
    DWORD nNormals;
    array Vector normals[nNormals];
    DWORD nFaceNormals;
    array MeshFace naceNormals[nFaceNormals];
}

template MeshFaceWraps
{
    <4885AE62-78E8-11CF-8F52-0040333594A3>
    DWORD nFaceWrapValues;
    Boolean2d naceWrapValues;
}

template MeshTextureCoords
{
    <F6F23F40-7686-11CF-8F52-0040333594A3>
    DWORD nTextureCoords;
    array Coords2d textureCoords[nTextureCoords];
}

template VertexDuplicationIndices
{
    <B8D65549-D7C9-4995-89CF-53A9A8B031E3>
    DWORD nIndices;
    DWORD nOriginalVertices;
    array DWORD indices[nIndices];
}

template MeshMaterialList
{
    <F6F23F42-7686-11CF-8F52-0040333594A3>
    DWORD nMaterials;
    DWORD nFaceIndexes;
    array DWORD faceIndexes[nFaceIndexes];
    [Material]
}

template MeshVertexColors
{
    <1630B821-7842-11CF-8F52-0040333594A3>
    DWORD nVertexColors;
    array IndexedColor vertexColors[nVertexColors];
}

template FrameTransformMatrix
{
    <F6F23F41-7686-11CF-8F52-0040333594A3>
    Matrix4x4 frameMatrix;
}

template Frame
{
    <3D82AB46-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template Animation
{
    <3D82AB4F-62DA-11CF-AB39-0020AF71E433>
    [...]
}

template AnimationSet
{
    <3D82AB50-62DA-11CF-AB39-0020AF71E433>
    [Animation]
}

template FloatKeys
{
    <10DD46A9-775B-11CF-8F52-0040333594A3>
    DWORD nValues;
    array FLOAT values[nValues];
}

template TimedFloatKeys
{
    <F406B180-7B3B-11CF-8F52-0040333594A3>
    DWORD time;
    FloatKeys tfkeys;
}

template AnimationKey
{
    <10DD46A8-775B-11CF-8F52-0040333594A3>
    DWORD keyType;
    DWORD nKeys;
    array TimedFloatKeys keys[nKeys];
}

template AnimationOptions
{
    <E2BF56C0-840F-11CF-8F52-0040333594A3>
    DWORD openclosed;
    DWORD positionquality;
}

template XSkinMeshHeader
{
    <3CF169CE-FF7C-44AB-93C0-F78F62D172E2>
    WORD nMaxSkinWeightsPerVertex;
    WORD nMaxSkinWeightsPerFace;
    WORD nBones;
}

template VertexDuplicationIndices
{
    <B8D65549-D7C9-4995-89CF-53A9A8B031E3>
    DWORD nIndices;
    DWORD nOriginalVertices;
    array DWORD indices[nIndices];
}

template SkinWeights
{
    <6F0D123B-BAD2-4167-A0D0-80224F25FABB>
    CSTRING transformNodeName;
    DWORD nWeights;
    array DWORD vertexIndices[nWeights];
    array FLOAT weights[nWeights];
    Matrix4x4 matrixOffset;
}

Frame weighted_root
{
    FrameTransformMatrix
    {
        1.000000,0.000000,0.000000,0.000000,
        0.000000,1.000000,0.000000,0.000000,
        0.000000,0.000000,1.000000,0.000000,
        1.010300,0.005333,0.000000,1.000000;;
    }

    Frame weighted_joint1
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            -0.006123,2.011840,0.000000,1.000000;;
        }

        Frame weighted_joint2
        {
            FrameTransformMatrix
            {
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.002168,2.016223,0.000000,1.000000;;
            }
        }
    }

    Frame Body
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            0.000000,0.000000,0.000000,1.000000;;
        }

        Mesh DammyMesh
        {
            220;
            -0.997603;0.014931;0.004032;,
            -0.648392;0.014931;0.205649;,
            -0.594371;0.014931;0.004032;,
            -0.795987;0.014931;0.353244;,
            -0.997603;0.014931;0.407265;,
            -1.199220;0.014931;0.353244;,
            -1.346815;0.014931;0.205649;,
            -1.400836;0.014931;0.004032;,
            -1.346815;0.014931;-0.197584;,
            -1.199220;0.014931;-0.345179;,
            -0.997603;0.014931;-0.399200;,
            -0.795987;0.014931;-0.345179;,
            -0.648392;0.014931;-0.197584;,
            -0.648392;0.686987;0.205649;,
            -0.594371;0.686987;0.004032;,
            -0.795987;0.686987;0.353244;,
            -0.997603;0.686987;0.407265;,
            -1.199220;0.686987;0.353244;,
            -1.346815;0.686987;0.205649;,
            -1.400836;0.686987;0.004032;,
            -1.346815;0.686987;-0.197584;,
            -1.199220;0.686987;-0.345179;,
            -0.997603;0.686987;-0.399200;,
            -0.795987;0.686987;-0.345179;,
            -0.648392;0.686987;-0.197584;,
            -0.648392;1.359039;0.205649;,
            -0.594371;1.359039;0.004032;,
            -0.795987;1.359039;0.353244;,
            -0.997603;1.359039;0.407265;,
            -1.199220;1.359039;0.353244;,
            -1.346815;1.359039;0.205649;,
            -1.400836;1.359039;0.004032;,
            -1.346815;1.359039;-0.197584;,
            -1.199220;1.359039;-0.345179;,
            -0.997603;1.359039;-0.399200;,
            -0.795987;1.359039;-0.345179;,
            -0.648392;1.359039;-0.197584;,
            -0.648392;2.031095;0.205649;,
            -0.594371;2.031095;0.004032;,
            -0.795987;2.031095;0.353244;,
            -0.997603;2.031095;0.407265;,
            -1.199220;2.031095;0.353244;,
            -1.346815;2.031095;0.205649;,
            -1.400836;2.031095;0.004032;,
            -1.346815;2.031095;-0.197584;,
            -1.199220;2.031095;-0.345179;,
            -0.997603;2.031095;-0.399200;,
            -0.795987;2.031095;-0.345179;,
            -0.648392;2.031095;-0.197584;,
            -0.648392;2.703151;0.205649;,
            -0.594371;2.703151;0.004032;,
            -0.795987;2.703151;0.353244;,
            -0.997603;2.703151;0.407265;,
            -1.199220;2.703151;0.353244;,
            -1.346815;2.703151;0.205649;,
            -1.400836;2.703151;0.004032;,
            -1.346815;2.703151;-0.197584;,
            -1.199220;2.703151;-0.345179;,
            -0.997603;2.703151;-0.399200;,
            -0.795987;2.703151;-0.345179;,
            -0.648392;2.703151;-0.197584;,
            -0.648392;3.375203;0.205649;,
            -0.594371;3.375203;0.004032;,
            -0.795987;3.375203;0.353244;,
            -0.997603;3.375203;0.407265;,
            -1.199220;3.375203;0.353244;,
            -1.346815;3.375203;0.205649;,
            -1.400836;3.375203;0.004032;,
            -1.346815;3.375203;-0.197584;,
            -1.199220;3.375203;-0.345179;,
            -0.997603;3.375203;-0.399200;,
            -0.795987;3.375203;-0.345179;,
            -0.648392;3.375203;-0.197584;,
            -0.648392;4.047259;0.205649;,
            -0.594371;4.047259;0.004033;,
            -0.795987;4.047259;0.353244;,
            -0.997603;4.047259;0.407265;,
            -1.199220;4.047259;0.353244;,
            -1.346815;4.047259;0.205649;,
            -1.400836;4.047259;0.004033;,
            -1.346815;4.047259;-0.197584;,
            -1.199220;4.047259;-0.345179;,
            -0.997603;4.047259;-0.399200;,
            -0.795987;4.047259;-0.345179;,
            -0.648392;4.047259;-0.197584;,
            -0.997603;4.047259;0.004033;,
            1.014396;0.009264;0.004032;,
            1.363608;0.009264;0.205649;,
            1.417629;0.009264;0.004032;,
            1.216012;0.009264;0.353244;,
            1.014396;0.009264;0.407265;,
            0.812780;0.009264;0.353244;,
            0.665184;0.009264;0.205649;,
            0.611163;0.009264;0.004032;,
            0.665184;0.009264;-0.197584;,
            0.812780;0.009264;-0.345179;,
            1.014396;0.009264;-0.399200;,
            1.216012;0.009264;-0.345179;,
            1.363608;0.009264;-0.197584;,
            1.363608;0.681320;0.205649;,
            1.417629;0.681320;0.004032;,
            1.216012;0.681320;0.353244;,
            1.014396;0.681320;0.407265;,
            0.812780;0.681320;0.353244;,
            0.665184;0.681320;0.205649;,
            0.611163;0.681320;0.004032;,
            0.665184;0.681320;-0.197584;,
            0.812780;0.681320;-0.345179;,
            1.014396;0.681320;-0.399200;,
            1.216012;0.681320;-0.345179;,
            1.363608;0.681320;-0.197584;,
            1.363608;1.353372;0.205649;,
            1.417629;1.353372;0.004032;,
            1.216012;1.353372;0.353244;,
            1.014396;1.353372;0.407265;,
            0.812780;1.353372;0.353244;,
            0.665184;1.353372;0.205649;,
            0.611163;1.353372;0.004032;,
            0.665184;1.353372;-0.197584;,
            0.812780;1.353372;-0.345179;,
            1.014396;1.353372;-0.399200;,
            1.216012;1.353372;-0.345179;,
            1.363608;1.353372;-0.197584;,
            1.363608;2.025428;0.205649;,
            1.417629;2.025428;0.004032;,
            1.216012;2.025428;0.353244;,
            1.014396;2.025428;0.407265;,
            0.812780;2.025428;0.353244;,
            0.665184;2.025428;0.205649;,
            0.611163;2.025428;0.004032;,
            0.665184;2.025428;-0.197584;,
            0.812780;2.025428;-0.345179;,
            1.014396;2.025428;-0.399200;,
            1.216012;2.025428;-0.345179;,
            1.363608;2.025428;-0.197584;,
            1.363608;2.697484;0.205649;,
            1.417629;2.697484;0.004032;,
            1.216012;2.697484;0.353244;,
            1.014396;2.697484;0.407265;,
            0.812780;2.697484;0.353244;,
            0.665184;2.697484;0.205649;,
            0.611163;2.697484;0.004032;,
            0.665184;2.697484;-0.197584;,
            0.812780;2.697484;-0.345179;,
            1.014396;2.697484;-0.399200;,
            1.216012;2.697484;-0.345179;,
            1.363608;2.697484;-0.197584;,
            1.363608;3.369536;0.205649;,
            1.417629;3.369536;0.004032;,
            1.216012;3.369536;0.353244;,
            1.014396;3.369536;0.407265;,
            0.812780;3.369536;0.353244;,
            0.665184;3.369536;0.205649;,
            0.611163;3.369536;0.004032;,
            0.665184;3.369536;-0.197584;,
            0.812780;3.369536;-0.345179;,
            1.014396;3.369536;-0.399200;,
            1.216012;3.369536;-0.345179;,
            1.363608;3.369536;-0.197584;,
            1.363608;4.041592;0.205649;,
            1.417629;4.041592;0.004033;,
            1.216012;4.041592;0.353244;,
            1.014396;4.041592;0.407265;,
            0.812780;4.041592;0.353244;,
            0.665184;4.041592;0.205649;,
            0.611163;4.041592;0.004033;,
            0.665184;4.041592;-0.197584;,
            0.812780;4.041592;-0.345179;,
            1.014396;4.041592;-0.399200;,
            1.216012;4.041592;-0.345179;,
            1.363608;4.041592;-0.197584;,
            1.014396;4.041592;0.004033;,
            -0.594371;0.014931;0.004032;,
            -0.648392;0.014931;0.205649;,
            -0.795987;0.014931;0.353244;,
            -0.997603;0.014931;0.407265;,
            -1.199220;0.014931;0.353244;,
            -1.346815;0.014931;0.205649;,
            -1.400836;0.014931;0.004032;,
            -1.346815;0.014931;-0.197584;,
            -1.199220;0.014931;-0.345179;,
            -0.997603;0.014931;-0.399200;,
            -0.795987;0.014931;-0.345179;,
            -0.648392;0.014931;-0.197584;,
            -0.594371;4.047259;0.004033;,
            -0.648392;4.047259;0.205649;,
            -0.795987;4.047259;0.353244;,
            -0.997603;4.047259;0.407265;,
            -1.199220;4.047259;0.353244;,
            -1.346815;4.047259;0.205649;,
            -1.400836;4.047259;0.004033;,
            -1.346815;4.047259;-0.197584;,
            -1.199220;4.047259;-0.345179;,
            -0.997603;4.047259;-0.399200;,
            -0.795987;4.047259;-0.345179;,
            -0.648392;4.047259;-0.197584;,
            1.417629;0.009264;0.004032;,
            1.363608;0.009264;0.205649;,
            1.216012;0.009264;0.353244;,
            1.014396;0.009264;0.407265;,
            0.812780;0.009264;0.353244;,
            0.665184;0.009264;0.205649;,
            0.611163;0.009264;0.004032;,
            0.665184;0.009264;-0.197584;,
            0.812780;0.009264;-0.345179;,
            1.014396;0.009264;-0.399200;,
            1.216012;0.009264;-0.345179;,
            1.363608;0.009264;-0.197584;,
            1.417629;4.041592;0.004033;,
            1.363608;4.041592;0.205649;,
            1.216012;4.041592;0.353244;,
            1.014396;4.041592;0.407265;,
            0.812780;4.041592;0.353244;,
            0.665184;4.041592;0.205649;,
            0.611163;4.041592;0.004033;,
            0.665184;4.041592;-0.197584;,
            0.812780;4.041592;-0.345179;,
            1.014396;4.041592;-0.399200;,
            1.216012;4.041592;-0.345179;,
            1.363608;4.041592;-0.197584;;
            336;
            3;0,2,1;,
            3;0,1,3;,
            3;0,3,4;,
            3;0,4,5;,
            3;0,5,6;,
            3;0,6,7;,
            3;0,7,8;,
            3;0,8,9;,
            3;0,9,10;,
            3;0,10,11;,
            3;0,11,12;,
            3;0,12,2;,
            3;172,14,13;,
            3;172,13,173;,
            3;173,13,15;,
            3;173,15,174;,
            3;174,15,16;,
            3;174,16,175;,
            3;175,16,17;,
            3;175,17,176;,
            3;176,17,18;,
            3;176,18,177;,
            3;177,18,19;,
            3;177,19,178;,
            3;178,19,20;,
            3;178,20,179;,
            3;179,20,21;,
            3;179,21,180;,
            3;180,21,22;,
            3;180,22,181;,
            3;181,22,23;,
            3;181,23,182;,
            3;182,23,24;,
            3;182,24,183;,
            3;183,24,14;,
            3;183,14,172;,
            3;14,26,25;,
            3;14,25,13;,
            3;13,25,27;,
            3;13,27,15;,
            3;15,27,28;,
            3;15,28,16;,
            3;16,28,29;,
            3;16,29,17;,
            3;17,29,30;,
            3;17,30,18;,
            3;18,30,31;,
            3;18,31,19;,
            3;19,31,32;,
            3;19,32,20;,
            3;20,32,33;,
            3;20,33,21;,
            3;21,33,34;,
            3;21,34,22;,
            3;22,34,35;,
            3;22,35,23;,
            3;23,35,36;,
            3;23,36,24;,
            3;24,36,26;,
            3;24,26,14;,
            3;26,38,37;,
            3;26,37,25;,
            3;25,37,39;,
            3;25,39,27;,
            3;27,39,40;,
            3;27,40,28;,
            3;28,40,41;,
            3;28,41,29;,
            3;29,41,42;,
            3;29,42,30;,
            3;30,42,43;,
            3;30,43,31;,
            3;31,43,44;,
            3;31,44,32;,
            3;32,44,45;,
            3;32,45,33;,
            3;33,45,46;,
            3;33,46,34;,
            3;34,46,47;,
            3;34,47,35;,
            3;35,47,48;,
            3;35,48,36;,
            3;36,48,38;,
            3;36,38,26;,
            3;38,50,49;,
            3;38,49,37;,
            3;37,49,51;,
            3;37,51,39;,
            3;39,51,52;,
            3;39,52,40;,
            3;40,52,53;,
            3;40,53,41;,
            3;41,53,54;,
            3;41,54,42;,
            3;42,54,55;,
            3;42,55,43;,
            3;43,55,56;,
            3;43,56,44;,
            3;44,56,57;,
            3;44,57,45;,
            3;45,57,58;,
            3;45,58,46;,
            3;46,58,59;,
            3;46,59,47;,
            3;47,59,60;,
            3;47,60,48;,
            3;48,60,50;,
            3;48,50,38;,
            3;50,62,61;,
            3;50,61,49;,
            3;49,61,63;,
            3;49,63,51;,
            3;51,63,64;,
            3;51,64,52;,
            3;52,64,65;,
            3;52,65,53;,
            3;53,65,66;,
            3;53,66,54;,
            3;54,66,67;,
            3;54,67,55;,
            3;55,67,68;,
            3;55,68,56;,
            3;56,68,69;,
            3;56,69,57;,
            3;57,69,70;,
            3;57,70,58;,
            3;58,70,71;,
            3;58,71,59;,
            3;59,71,72;,
            3;59,72,60;,
            3;60,72,62;,
            3;60,62,50;,
            3;62,74,73;,
            3;62,73,61;,
            3;61,73,75;,
            3;61,75,63;,
            3;63,75,76;,
            3;63,76,64;,
            3;64,76,77;,
            3;64,77,65;,
            3;65,77,78;,
            3;65,78,66;,
            3;66,78,79;,
            3;66,79,67;,
            3;67,79,80;,
            3;67,80,68;,
            3;68,80,81;,
            3;68,81,69;,
            3;69,81,82;,
            3;69,82,70;,
            3;70,82,83;,
            3;70,83,71;,
            3;71,83,84;,
            3;71,84,72;,
            3;72,84,74;,
            3;72,74,62;,
            3;85,185,184;,
            3;85,186,185;,
            3;85,187,186;,
            3;85,188,187;,
            3;85,189,188;,
            3;85,190,189;,
            3;85,191,190;,
            3;85,192,191;,
            3;85,193,192;,
            3;85,194,193;,
            3;85,195,194;,
            3;85,184,195;,
            3;86,88,87;,
            3;86,87,89;,
            3;86,89,90;,
            3;86,90,91;,
            3;86,91,92;,
            3;86,92,93;,
            3;86,93,94;,
            3;86,94,95;,
            3;86,95,96;,
            3;86,96,97;,
            3;86,97,98;,
            3;86,98,88;,
            3;196,100,99;,
            3;196,99,197;,
            3;197,99,101;,
            3;197,101,198;,
            3;198,101,102;,
            3;198,102,199;,
            3;199,102,103;,
            3;199,103,200;,
            3;200,103,104;,
            3;200,104,201;,
            3;201,104,105;,
            3;201,105,202;,
            3;202,105,106;,
            3;202,106,203;,
            3;203,106,107;,
            3;203,107,204;,
            3;204,107,108;,
            3;204,108,205;,
            3;205,108,109;,
            3;205,109,206;,
            3;206,109,110;,
            3;206,110,207;,
            3;207,110,100;,
            3;207,100,196;,
            3;100,112,111;,
            3;100,111,99;,
            3;99,111,113;,
            3;99,113,101;,
            3;101,113,114;,
            3;101,114,102;,
            3;102,114,115;,
            3;102,115,103;,
            3;103,115,116;,
            3;103,116,104;,
            3;104,116,117;,
            3;104,117,105;,
            3;105,117,118;,
            3;105,118,106;,
            3;106,118,119;,
            3;106,119,107;,
            3;107,119,120;,
            3;107,120,108;,
            3;108,120,121;,
            3;108,121,109;,
            3;109,121,122;,
            3;109,122,110;,
            3;110,122,112;,
            3;110,112,100;,
            3;112,124,123;,
            3;112,123,111;,
            3;111,123,125;,
            3;111,125,113;,
            3;113,125,126;,
            3;113,126,114;,
            3;114,126,127;,
            3;114,127,115;,
            3;115,127,128;,
            3;115,128,116;,
            3;116,128,129;,
            3;116,129,117;,
            3;117,129,130;,
            3;117,130,118;,
            3;118,130,131;,
            3;118,131,119;,
            3;119,131,132;,
            3;119,132,120;,
            3;120,132,133;,
            3;120,133,121;,
            3;121,133,134;,
            3;121,134,122;,
            3;122,134,124;,
            3;122,124,112;,
            3;124,136,135;,
            3;124,135,123;,
            3;123,135,137;,
            3;123,137,125;,
            3;125,137,138;,
            3;125,138,126;,
            3;126,138,139;,
            3;126,139,127;,
            3;127,139,140;,
            3;127,140,128;,
            3;128,140,141;,
            3;128,141,129;,
            3;129,141,142;,
            3;129,142,130;,
            3;130,142,143;,
            3;130,143,131;,
            3;131,143,144;,
            3;131,144,132;,
            3;132,144,145;,
            3;132,145,133;,
            3;133,145,146;,
            3;133,146,134;,
            3;134,146,136;,
            3;134,136,124;,
            3;136,148,147;,
            3;136,147,135;,
            3;135,147,149;,
            3;135,149,137;,
            3;137,149,150;,
            3;137,150,138;,
            3;138,150,151;,
            3;138,151,139;,
            3;139,151,152;,
            3;139,152,140;,
            3;140,152,153;,
            3;140,153,141;,
            3;141,153,154;,
            3;141,154,142;,
            3;142,154,155;,
            3;142,155,143;,
            3;143,155,156;,
            3;143,156,144;,
            3;144,156,157;,
            3;144,157,145;,
            3;145,157,158;,
            3;145,158,146;,
            3;146,158,148;,
            3;146,148,136;,
            3;148,160,159;,
            3;148,159,147;,
            3;147,159,161;,
            3;147,161,149;,
            3;149,161,162;,
            3;149,162,150;,
            3;150,162,163;,
            3;150,163,151;,
            3;151,163,164;,
            3;151,164,152;,
            3;152,164,165;,
            3;152,165,153;,
            3;153,165,166;,
            3;153,166,154;,
            3;154,166,167;,
            3;154,167,155;,
            3;155,167,168;,
            3;155,168,156;,
            3;156,168,169;,
            3;156,169,157;,
            3;157,169,170;,
            3;157,170,158;,
            3;158,170,160;,
            3;158,160,148;,
            3;171,209,208;,
            3;171,210,209;,
            3;171,211,210;,
            3;171,212,211;,
            3;171,213,212;,
            3;171,214,213;,
            3;171,215,214;,
            3;171,216,215;,
            3;171,217,216;,
            3;171,218,217;,
            3;171,219,218;,
            3;171,208,219;;

            MeshNormals
            {
                220;
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                1.000000;0.000000;-0.000000;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.818110;-0.000000;0.575061;,
                0.452940;-0.000000;0.891541;,
                0.420974;-0.000000;0.907073;,
                -0.053513;-0.000000;0.998567;,
                -0.088962;-0.000000;0.996035;,
                -0.545627;-0.000000;0.838028;,
                -0.575061;-0.000000;0.818110;,
                -0.891541;-0.000000;0.452940;,
                -0.907073;-0.000000;0.420974;,
                -0.998567;0.000000;-0.053513;,
                -0.996035;0.000000;-0.088962;,
                -0.838028;0.000000;-0.545627;,
                -0.818110;0.000000;-0.575061;,
                -0.452940;0.000000;-0.891541;,
                -0.420974;0.000000;-0.907073;,
                0.053513;0.000000;-0.998567;,
                0.088962;0.000000;-0.996035;,
                0.545627;0.000000;-0.838028;,
                0.575061;0.000000;-0.818110;,
                0.891541;0.000000;-0.452940;,
                0.907073;0.000000;-0.420974;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.866025;-0.000000;0.500000;,
                0.996035;0.000000;-0.088962;,
                0.500000;-0.000000;0.866025;,
                0.000000;-0.000000;1.000000;,
                -0.500000;-0.000000;0.866025;,
                -0.866025;-0.000000;0.500000;,
                -1.000000;0.000000;-0.000000;,
                -0.866025;0.000000;-0.500000;,
                -0.500000;0.000000;-0.866025;,
                0.000000;0.000000;-1.000000;,
                0.500000;0.000000;-0.866025;,
                0.866025;0.000000;-0.500000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                0.000000;-1.000000;-0.000000;,
                1.000000;0.000000;-0.000000;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.818110;-0.000000;0.575061;,
                0.452940;-0.000000;0.891541;,
                0.420974;-0.000000;0.907073;,
                -0.053513;-0.000000;0.998567;,
                -0.088962;-0.000000;0.996035;,
                -0.545627;-0.000000;0.838028;,
                -0.575061;-0.000000;0.818110;,
                -0.891541;-0.000000;0.452940;,
                -0.907073;-0.000000;0.420974;,
                -0.998567;0.000000;-0.053513;,
                -0.996035;0.000000;-0.088962;,
                -0.838028;0.000000;-0.545627;,
                -0.818110;0.000000;-0.575061;,
                -0.452940;0.000000;-0.891541;,
                -0.420974;0.000000;-0.907073;,
                0.053513;0.000000;-0.998567;,
                0.088962;0.000000;-0.996035;,
                0.545627;0.000000;-0.838028;,
                0.575061;0.000000;-0.818110;,
                0.891541;0.000000;-0.452940;,
                0.907073;0.000000;-0.420974;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.838028;-0.000000;0.545627;,
                1.000000;0.000000;-0.000000;,
                0.452940;-0.000000;0.891541;,
                -0.053513;-0.000000;0.998567;,
                -0.545627;-0.000000;0.838028;,
                -0.891541;-0.000000;0.452940;,
                -0.998567;0.000000;-0.053513;,
                -0.838028;0.000000;-0.545627;,
                -0.452940;0.000000;-0.891541;,
                0.053513;0.000000;-0.998567;,
                0.545627;0.000000;-0.838028;,
                0.891541;0.000000;-0.452940;,
                0.866025;-0.000000;0.500000;,
                0.996035;0.000000;-0.088962;,
                0.500000;-0.000000;0.866025;,
                0.000000;-0.000000;1.000000;,
                -0.500000;-0.000000;0.866025;,
                -0.866025;-0.000000;0.500000;,
                -1.000000;0.000000;-0.000000;,
                -0.866025;0.000000;-0.500000;,
                -0.500000;0.000000;-0.866025;,
                0.000000;0.000000;-1.000000;,
                0.500000;0.000000;-0.866025;,
                0.866025;0.000000;-0.500000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;,
                0.000000;1.000000;0.000000;;
                336;
                3;0,2,1;,
                3;0,1,3;,
                3;0,3,4;,
                3;0,4,5;,
                3;0,5,6;,
                3;0,6,7;,
                3;0,7,8;,
                3;0,8,9;,
                3;0,9,10;,
                3;0,10,11;,
                3;0,11,12;,
                3;0,12,2;,
                3;13,15,14;,
                3;13,14,16;,
                3;16,14,17;,
                3;16,17,18;,
                3;18,17,19;,
                3;18,19,20;,
                3;20,19,21;,
                3;20,21,22;,
                3;22,21,23;,
                3;22,23,24;,
                3;24,23,25;,
                3;24,25,26;,
                3;26,25,27;,
                3;26,27,28;,
                3;28,27,29;,
                3;28,29,30;,
                3;30,29,31;,
                3;30,31,32;,
                3;32,31,33;,
                3;32,33,34;,
                3;34,33,35;,
                3;34,35,36;,
                3;36,35,15;,
                3;36,15,13;,
                3;15,38,37;,
                3;15,37,14;,
                3;14,37,39;,
                3;14,39,17;,
                3;17,39,40;,
                3;17,40,19;,
                3;19,40,41;,
                3;19,41,21;,
                3;21,41,42;,
                3;21,42,23;,
                3;23,42,43;,
                3;23,43,25;,
                3;25,43,44;,
                3;25,44,27;,
                3;27,44,45;,
                3;27,45,29;,
                3;29,45,46;,
                3;29,46,31;,
                3;31,46,47;,
                3;31,47,33;,
                3;33,47,48;,
                3;33,48,35;,
                3;35,48,38;,
                3;35,38,15;,
                3;38,50,49;,
                3;38,49,37;,
                3;37,49,51;,
                3;37,51,39;,
                3;39,51,52;,
                3;39,52,40;,
                3;40,52,53;,
                3;40,53,41;,
                3;41,53,54;,
                3;41,54,42;,
                3;42,54,55;,
                3;42,55,43;,
                3;43,55,56;,
                3;43,56,44;,
                3;44,56,57;,
                3;44,57,45;,
                3;45,57,58;,
                3;45,58,46;,
                3;46,58,59;,
                3;46,59,47;,
                3;47,59,60;,
                3;47,60,48;,
                3;48,60,50;,
                3;48,50,38;,
                3;50,62,61;,
                3;50,61,49;,
                3;49,61,63;,
                3;49,63,51;,
                3;51,63,64;,
                3;51,64,52;,
                3;52,64,65;,
                3;52,65,53;,
                3;53,65,66;,
                3;53,66,54;,
                3;54,66,67;,
                3;54,67,55;,
                3;55,67,68;,
                3;55,68,56;,
                3;56,68,69;,
                3;56,69,57;,
                3;57,69,70;,
                3;57,70,58;,
                3;58,70,71;,
                3;58,71,59;,
                3;59,71,72;,
                3;59,72,60;,
                3;60,72,62;,
                3;60,62,50;,
                3;62,74,73;,
                3;62,73,61;,
                3;61,73,75;,
                3;61,75,63;,
                3;63,75,76;,
                3;63,76,64;,
                3;64,76,77;,
                3;64,77,65;,
                3;65,77,78;,
                3;65,78,66;,
                3;66,78,79;,
                3;66,79,67;,
                3;67,79,80;,
                3;67,80,68;,
                3;68,80,81;,
                3;68,81,69;,
                3;69,81,82;,
                3;69,82,70;,
                3;70,82,83;,
                3;70,83,71;,
                3;71,83,84;,
                3;71,84,72;,
                3;72,84,74;,
                3;72,74,62;,
                3;74,86,85;,
                3;74,85,73;,
                3;73,85,87;,
                3;73,87,75;,
                3;75,87,88;,
                3;75,88,76;,
                3;76,88,89;,
                3;76,89,77;,
                3;77,89,90;,
                3;77,90,78;,
                3;78,90,91;,
                3;78,91,79;,
                3;79,91,92;,
                3;79,92,80;,
                3;80,92,93;,
                3;80,93,81;,
                3;81,93,94;,
                3;81,94,82;,
                3;82,94,95;,
                3;82,95,83;,
                3;83,95,96;,
                3;83,96,84;,
                3;84,96,86;,
                3;84,86,74;,
                3;97,99,98;,
                3;97,100,99;,
                3;97,101,100;,
                3;97,102,101;,
                3;97,103,102;,
                3;97,104,103;,
                3;97,105,104;,
                3;97,106,105;,
                3;97,107,106;,
                3;97,108,107;,
                3;97,109,108;,
                3;97,98,109;,
                3;110,112,111;,
                3;110,111,113;,
                3;110,113,114;,
                3;110,114,115;,
                3;110,115,116;,
                3;110,116,117;,
                3;110,117,118;,
                3;110,118,119;,
                3;110,119,120;,
                3;110,120,121;,
                3;110,121,122;,
                3;110,122,112;,
                3;123,125,124;,
                3;123,124,126;,
                3;126,124,127;,
                3;126,127,128;,
                3;128,127,129;,
                3;128,129,130;,
                3;130,129,131;,
                3;130,131,132;,
                3;132,131,133;,
                3;132,133,134;,
                3;134,133,135;,
                3;134,135,136;,
                3;136,135,137;,
                3;136,137,138;,
                3;138,137,139;,
                3;138,139,140;,
                3;140,139,141;,
                3;140,141,142;,
                3;142,141,143;,
                3;142,143,144;,
                3;144,143,145;,
                3;144,145,146;,
                3;146,145,125;,
                3;146,125,123;,
                3;125,148,147;,
                3;125,147,124;,
                3;124,147,149;,
                3;124,149,127;,
                3;127,149,150;,
                3;127,150,129;,
                3;129,150,151;,
                3;129,151,131;,
                3;131,151,152;,
                3;131,152,133;,
                3;133,152,153;,
                3;133,153,135;,
                3;135,153,154;,
                3;135,154,137;,
                3;137,154,155;,
                3;137,155,139;,
                3;139,155,156;,
                3;139,156,141;,
                3;141,156,157;,
                3;141,157,143;,
                3;143,157,158;,
                3;143,158,145;,
                3;145,158,148;,
                3;145,148,125;,
                3;148,160,159;,
                3;148,159,147;,
                3;147,159,161;,
                3;147,161,149;,
                3;149,161,162;,
                3;149,162,150;,
                3;150,162,163;,
                3;150,163,151;,
                3;151,163,164;,
                3;151,164,152;,
                3;152,164,165;,
                3;152,165,153;,
                3;153,165,166;,
                3;153,166,154;,
                3;154,166,167;,
                3;154,167,155;,
                3;155,167,168;,
                3;155,168,156;,
                3;156,168,169;,
                3;156,169,157;,
                3;157,169,170;,
                3;157,170,158;,
                3;158,170,160;,
                3;158,160,148;,
                3;160,172,171;,
                3;160,171,159;,
                3;159,171,173;,
                3;159,173,161;,
                3;161,173,174;,
                3;161,174,162;,
                3;162,174,175;,
                3;162,175,163;,
                3;163,175,176;,
                3;163,176,164;,
                3;164,176,177;,
                3;164,177,165;,
                3;165,177,178;,
                3;165,178,166;,
                3;166,178,179;,
                3;166,179,167;,
                3;167,179,180;,
                3;167,180,168;,
                3;168,180,181;,
                3;168,181,169;,
                3;169,181,182;,
                3;169,182,170;,
                3;170,182,172;,
                3;170,172,160;,
                3;172,184,183;,
                3;172,183,171;,
                3;171,183,185;,
                3;171,185,173;,
                3;173,185,186;,
                3;173,186,174;,
                3;174,186,187;,
                3;174,187,175;,
                3;175,187,188;,
                3;175,188,176;,
                3;176,188,189;,
                3;176,189,177;,
                3;177,189,190;,
                3;177,190,178;,
                3;178,190,191;,
                3;178,191,179;,
                3;179,191,192;,
                3;179,192,180;,
                3;180,192,193;,
                3;180,193,181;,
                3;181,193,194;,
                3;181,194,182;,
                3;182,194,184;,
                3;182,184,172;,
                3;184,196,195;,
                3;184,195,183;,
                3;183,195,197;,
                3;183,197,185;,
                3;185,197,198;,
                3;185,198,186;,
                3;186,198,199;,
                3;186,199,187;,
                3;187,199,200;,
                3;187,200,188;,
                3;188,200,201;,
                3;188,201,189;,
                3;189,201,202;,
                3;189,202,190;,
                3;190,202,203;,
                3;190,203,191;,
                3;191,203,204;,
                3;191,204,192;,
                3;192,204,205;,
                3;192,205,193;,
                3;193,205,206;,
                3;193,206,194;,
                3;194,206,196;,
                3;194,196,184;,
                3;207,209,208;,
                3;207,210,209;,
                3;207,211,210;,
                3;207,212,211;,
                3;207,213,212;,
                3;207,214,213;,
                3;207,215,214;,
                3;207,216,215;,
                3;207,217,216;,
                3;207,218,217;,
                3;207,219,218;,
                3;207,208,219;;
            }

            MeshTextureCoords
            {
                220;
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;,
                0.000000;1.000000;;
            }

            VertexDuplicationIndices
            {
                220;
                172;
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72,
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171;
                2,
                1,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                74,
                73,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                88,
                87,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                160,
                159,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170;
            }

            XSkinMeshHeader
            {
                4;
                12;
                6;
            }

            SkinWeights
            {
                "weighted_root";
                85;
                86,
                87,
                88,
                89,
                90,
                91,
                92,
                93,
                94,
                95,
                96,
                97,
                98,
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                126,
                127,
                128,
                129,
                130,
                131,
                132,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158,
                196,
                197,
                198,
                199,
                200,
                201,
                202,
                203,
                204,
                205,
                206,
                207;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.500000,
                0.500000,
                0.500000,
                1.000000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                1.000000,
                0.500000,
                0.500000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                -1.010300,-0.005333,0.000000,1.000000;;
            }

            SkinWeights
            {
                "weighted_joint1";
                58;
                99,
                100,
                101,
                102,
                103,
                104,
                105,
                106,
                107,
                108,
                109,
                110,
                111,
                112,
                113,
                114,
                115,
                116,
                117,
                118,
                119,
                120,
                121,
                122,
                123,
                124,
                125,
                127,
                128,
                129,
                130,
                131,
                133,
                134,
                135,
                136,
                137,
                138,
                139,
                140,
                141,
                142,
                143,
                144,
                145,
                146,
                147,
                148,
                149,
                150,
                151,
                152,
                153,
                154,
                155,
                156,
                157,
                158;
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.090909,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.250000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.500000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.750000,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091,
                0.909091;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                -1.004176,-2.017173,0.000000,1.000000;;
            }

            SkinWeights
            {
                "weighted_joint2";
                25;
                159,
                160,
                161,
                162,
                163,
                164,
                165,
                166,
                167,
                168,
                169,
                170,
                171,
                208,
                209,
                210,
                211,
                212,
                213,
                214,
                215,
                216,
                217,
                218,
                219;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                -1.006344,-4.033396,0.000000,1.000000;;
            }

            SkinWeights
            {
                "weighted_root_Copy";
                49;
                0,
                1,
                2,
                3,
                4,
                5,
                6,
                7,
                8,
                9,
                10,
                11,
                12,
                13,
                14,
                15,
                16,
                17,
                18,
                19,
                20,
                21,
                22,
                23,
                24,
                25,
                26,
                27,
                28,
                29,
                30,
                31,
                32,
                33,
                34,
                35,
                36,
                172,
                173,
                174,
                175,
                176,
                177,
                178,
                179,
                180,
                181,
                182,
                183;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.990674,-0.037545,0.000000,1.000000;;
            }

            SkinWeights
            {
                "weighted_joint1_Copy";
                36;
                37,
                38,
                39,
                40,
                41,
                42,
                43,
                44,
                45,
                46,
                47,
                48,
                49,
                50,
                51,
                52,
                53,
                54,
                55,
                56,
                57,
                58,
                59,
                60,
                61,
                62,
                63,
                64,
                65,
                66,
                67,
                68,
                69,
                70,
                71,
                72;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.996798,-2.049385,0.000000,1.000000;;
            }

            SkinWeights
            {
                "weighted_joint2_Copy";
                25;
                73,
                74,
                75,
                76,
                77,
                78,
                79,
                80,
                81,
                82,
                83,
                84,
                85,
                184,
                185,
                186,
                187,
                188,
                189,
                190,
                191,
                192,
                193,
                194,
                195;
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000,
                1.000000;
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.994630,-4.065608,0.000000,1.000000;;
            }
        }
    }
}
Frame weighted_root_Copy
{
    FrameTransformMatrix
    {
        1.000000,0.000000,0.000000,0.000000,
        0.000000,1.000000,0.000000,0.000000,
        0.000000,0.000000,1.000000,0.000000,
        -0.990674,0.037545,0.000000,1.000000;;
    }

    Frame weighted_joint1_Copy
    {
        FrameTransformMatrix
        {
            1.000000,0.000000,0.000000,0.000000,
            0.000000,1.000000,0.000000,0.000000,
            0.000000,0.000000,1.000000,0.000000,
            -0.006123,2.011840,0.000000,1.000000;;
        }

        Frame weighted_joint2_Copy
        {
            FrameTransformMatrix
            {
                1.000000,0.000000,0.000000,0.000000,
                0.000000,1.000000,0.000000,0.000000,
                0.000000,0.000000,1.000000,0.000000,
                0.002168,2.016223,0.000000,1.000000;;
            }
        }
    }
}

AnimationSet AnimationSet0
{
    Animation weighted_rootAnimation
    {
        {weighted_root}

        AnimationKey
        {
            2;
            3;
            0;3;1.010300,0.005333,0.000000;;,
            4830;3;1.010300,0.005333,0.000000;;,
            9870;3;1.010300,0.005333,0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }

        AnimationKey
        {
            0;
            3;
            0;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            4830;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            9870;4;1.000000,-0.000000,-0.000000,-0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }
    }

    Animation weighted_joint1Animation
    {
        {weighted_joint1}

        AnimationKey
        {
            2;
            3;
            0;3;-0.006123,2.011840,0.000000;;,
            4830;3;-0.006123,2.011840,0.000000;;,
            9870;3;-0.006123,2.011840,0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }

        AnimationKey
        {
            0;
            3;
            0;4;0.923880,-0.000000,-0.000000,-0.382683;;,
            4830;4;0.923880,-0.000000,-0.000000,0.382683;;,
            9870;4;0.923880,-0.000000,-0.000000,-0.382683;;;
        }

        AnimationOptions
        {
            0;
            0;
        }
    }

    Animation weighted_joint2Animation
    {
        {weighted_joint2}

        AnimationKey
        {
            2;
            3;
            0;3;0.002168,2.016223,0.000000;;,
            4830;3;0.002168,2.016223,0.000000;;,
            9870;3;0.002168,2.016223,0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }

        AnimationKey
        {
            0;
            3;
            0;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            4830;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            9870;4;1.000000,-0.000000,-0.000000,-0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }
    }

    Animation weighted_root_CopyAnimation
    {
        {weighted_root_Copy}

        AnimationKey
        {
            2;
            3;
            0;3;-0.990674,0.037545,0.000000;;,
            4830;3;-0.990674,0.037545,0.000000;;,
            9870;3;-0.990674,0.037545,0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }

        AnimationKey
        {
            0;
            3;
            0;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            4830;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            9870;4;1.000000,-0.000000,-0.000000,-0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }
    }

    Animation weighted_joint1_CopyAnimation
    {
        {weighted_joint1_Copy}

        AnimationKey
        {
            2;
            3;
            0;3;-0.006123,2.011840,0.000000;;,
            4830;3;-0.006123,2.011840,0.000000;;,
            9870;3;-0.006123,2.011840,0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }

        AnimationKey
        {
            0;
            3;
            0;4;0.923880,-0.000000,-0.000000,-0.382683;;,
            4830;4;0.923880,-0.000000,-0.000000,0.382683;;,
            9870;4;0.923880,-0.000000,-0.000000,-0.382683;;;
        }

        AnimationOptions
        {
            0;
            0;
        }
    }

    Animation weighted_joint2_CopyAnimation
    {
        {weighted_joint2_Copy}

        AnimationKey
        {
            2;
            3;
            0;3;0.002168,2.016223,0.000000;;,
            4830;3;0.002168,2.016223,0.000000;;,
            9870;3;0.002168,2.016223,0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }

        AnimationKey
        {
            0;
            3;
            0;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            4830;4;1.000000,-0.000000,-0.000000,-0.000000;;,
            9870;4;1.000000,-0.000000,-0.000000,-0.000000;;;
        }

        AnimationOptions
        {
            0;
            0;
        }
    }
}
